
public class Main {

	public static void main(String[] args) {
		Queue q = new Queue(5);
		q.enqueue(1);
		q.enqueue(2);
		q.enqueue(3);
		q.enqueue(4);
		q.enqueue(5);
		q.print();
		System.out.println("--------------");
		q.dequeue();
		q.dequeue();
		q.enqueue(6);
		q.dequeue();
		q.enqueue(7);
		q.enqueue(8);
		q.enqueue(55);
		q.print();
		//System.out.println(q.getFront());
		//System.out.println(q.getRear());
	}

}
